/* Bbuuzzb replication header.
   Rick Smereka, Copyright (C) 2002-2004.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version. Jan/2002, Rick Smereka

   Ported to Debian Linux. Nov/2002, Rick Smereka

   Added a parameter to the prototype 'dbengrep_rll_load'.
   Mar/2004, Rick Smereka */

#define DBENG_SEND_REPLICATE_WRITE 1
#define DBENG_SEND_REPLICATE_DELETE 2
#define DBENG_SEND_REPLICATE_PACK 3

/* available Bbuuzzb server structure */

struct dbengrep_servers
   {
   char *host;
   int port;
   struct dbengrep_servers *next;
   };

/* server list NULL define */

#define DBENGREP_SOT_NULL ((struct dbengrep_servers *)NULL)

#ifdef __cplusplus
extern "C"
{
#endif

int dbengrep_init(void);
int dbengrep_end(void);
int dbengrep_recv(char *);
int dbengrep_send(struct dbeng_table *, int, char *);
int dbengrep_rll_load(struct dbeng_table *, char *);
int dbengrep_rll_delete_all(struct dbeng_table *);

#ifdef __cplusplus
}
#endif
